Search Results for

Show / Hide Table of Contents

# Struct ExternalUserID

External ID of the user that could be used for ad targeting. https://github.com/InteractiveAdvertisingBureau/openrtb/blob/main/extensions/2.x_official_extensions/eids.md

##### Implements

IEquatable<ExternalUserID>

##### Inherited Members

object.Equals(object, object)
object.GetType()
object.ReferenceEquals(object, object)

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public struct ExternalUserID : IEquatable<ExternalUserID>

### Fields

#### aType

Gets or sets the type of user agent.

##### Declaration

    [Tooltip("Type of user agent the match is from.\nIt is highly recommended to set this, as many DSPs separate app-native IDs from browser-based IDs and require a type value for ID resolution.\nSee https://github.com/InteractiveAdvertisingBureau/openrtb/blob/main/extensions/2.x_official_extensions/eids.md#list_agenttypes")]
    public SerializableOptional<int> aType

##### Field Value

Type | Description
--- | ---
SerializableOptional<int> | Type of user agent the match is from. It is highly recommended to set this, as many DSPs separate app-native IDs from browser-based IDs and require a type value for ID resolution.

##### Remarks

Refer to List: https://github.com/InteractiveAdvertisingBureau/openrtb/blob/main/extensions/2.x_official_extensions/eids.md#list_agenttypes .

#### ext

Gets or sets `ext` content.

##### Declaration

    [TextArea]
    [Tooltip("Optional vendor-specific extensions.")]
    public string? ext

##### Field Value

Type | Description
--- | ---
string | Optional vendor-specific extensions.

#### identifier

Gets or sets the ID.

##### Declaration

    [Tooltip("Cookie or platform-native identifier.")]
    public string? identifier

##### Field Value

Type | Description
--- | ---
string | Cookie or platform-native identifier.

#### source

Gets or sets the source of ID.

##### Declaration

    [Tooltip("Source or technology provider responsible for the set of included IDs.\nExpressed as a top-level domain.")]
    public string? source

##### Field Value

Type | Description
--- | ---
string | Source or technology provider responsible for the set of included IDs.

##### Remarks

Expressed as a top-level domain.

### Properties

#### WithoutDefaults

Strips away whitespace strings that Unity creates on serialization.

##### Declaration

    public readonly ExternalUserID WithoutDefaults { get; }

##### Property Value

Type | Description
--- | ---
ExternalUserID | "Clone" without whitespace strings.

### Methods

#### Equals(ExternalUserID)

Indicates whether the current object is equal to another object of the same type.

##### Declaration

    public readonly bool Equals(ExternalUserID other)

##### Parameters

Type | Name | Description
--- | --- | ---
ExternalUserID | other | An object to compare with this object.

##### Returns

Type | Description
--- | ---
bool | true if the current object is equal to the `other` parameter; otherwise, false.

#### Equals(object?)

Indicates whether this instance and a specified object are equal.

##### Declaration

    public override readonly bool Equals(object? obj)

##### Parameters

Type | Name | Description
--- | --- | ---
object | obj | The object to compare with the current instance.

##### Returns

Type | Description
--- | ---
bool | true if `obj` and this instance are the same type and represent the same value; otherwise, false.

##### Overrides

ValueType.Equals(object)

#### GetHashCode()

Returns the hash code for this instance.

##### Declaration

    public override readonly int GetHashCode()

##### Returns

Type | Description
--- | ---
int | A 32-bit signed integer that is the hash code for this instance.

##### Overrides

ValueType.GetHashCode()

#### ToString()

Returns the fully qualified type name of this instance.

##### Declaration

    public override readonly string ToString()

##### Returns

Type | Description
--- | ---
string | The fully qualified type name.

##### Overrides

ValueType.ToString()

### Implements

IEquatable<T>